package com.zjsgfa.project.zjsgfa.controller;

import com.zjsgfa.framework.web.controller.BaseController;
import com.zjsgfa.framework.web.page.TableDataInfo;
import com.zjsgfa.project.zjsgfa.domain.*;
import com.zjsgfa.project.zjsgfa.service.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/comsj")
public class CommonApiController extends BaseController {



    @Autowired
    private ISjDjjcService sjDjjcService;


    @GetMapping("/sjDjjcList")
    public TableDataInfo list(SjDjjc sjDjjc)
    {
        List<SjDjjc> list = sjDjjcService.selectSjDjjcList(sjDjjc);
        return getDataTable(list);
    }


    @Autowired
    private ISjDzfcService sjDzfcService;
    @GetMapping("/sjDzfcList")
    public TableDataInfo sjDzfcList(SjDzfc sjDzfc)
    {
        List<SjDzfc> list = sjDzfcService.selectSjDzfcList(sjDzfc);
        return getDataTable(list);
    }


    @Autowired
    private ISjJsjgService sjJsjgService;

    @GetMapping("/sjJsjgList")
    public TableDataInfo sjJsjgList(SjJsjg sjJsjg)
    {
        List<SjJsjg> list = sjJsjgService.selectSjJsjgList(sjJsjg);
        return getDataTable(list);
    }

    @Autowired
    private ISjJygjInfoService sjJygjInfoService;

    @GetMapping("/sjJygjInfoList")
    public TableDataInfo sjJygjInfoList(SjJygjInfo sjJygjInfo)
    {
        List<SjJygjInfo> list = sjJygjInfoService.selectSjJygjInfoList(sjJygjInfo);
        return getDataTable(list);
    }

    @Autowired
    private ISjJygjGdfdcsService sjJygjGdfdcsService;

    @GetMapping("/sjJygjGdfdcsList")
    public TableDataInfo sjJygjGdfdcsList(SjJygjGdfdcs sjJygjGdfdcs)
    {
        List<SjJygjGdfdcs> list = sjJygjGdfdcsService.selectSjJygjGdfdcsList(sjJygjGdfdcs);
        return getDataTable(list);
    }

    @Autowired
    private ISjJygjGdsjgdcsService sjJygjGdsjgdcsService;

    @GetMapping("/sjJygjGdsjgdcsList")
    public TableDataInfo sjJygjGdsjgdcsList(SjJygjGdsjgdcs sjJygjGdsjgdcs)
    {
        List<SjJygjGdsjgdcs> list = sjJygjGdsjgdcsService.selectSjJygjGdsjgdcsList(sjJygjGdsjgdcs);
        return getDataTable(list);
    }

    @Autowired
    private ISjJygjgdsjService sjJygjgdsjService;

    @GetMapping("/sjJygjgdsjList")
    public TableDataInfo sjJygjgdsjList(SjJygjgdsj sjJygjgdsj)
    {
        List<SjJygjgdsj> list = sjJygjgdsjService.selectSjJygjgdsjList(sjJygjgdsj);
        return getDataTable(list);
    }


    @Autowired
    private ISjZjyFdsjService sjZjyFdsjService;

    @GetMapping("/sjZjyFdsjList")
    public TableDataInfo sjZjyFdsjList(SjZjyFdsj sjZjyFdsj)
    {
        List<SjZjyFdsj> list = sjZjyFdsjService.selectSjZjyFdsjList(sjZjyFdsj);
        return getDataTable(list);
    }


    @Autowired
    private ISjZjyCljlService sjZjyCljlService;

    @GetMapping("/sjZjyCljlList")
    public TableDataInfo sjZjyCljlList(SjZjyCljl sjZjyCljl)
    {
        List<SjZjyCljl> list = sjZjyCljlService.selectSjZjyCljlList(sjZjyCljl);
        return getDataTable(list);
    }

    @Autowired
    private ISjZjyFdxnbService sjZjyFdxnbService;

    @GetMapping("/sjZjyFdxnbList")
    public Map sjZjyFdxnbList(SjZjyFdxnb sjZjyFdxnb)
    {
        return sjZjyFdxnbService.selectSjZjyFdxnbList(sjZjyFdxnb);
    }

    @Autowired
    private ISjTgTgzService sjTgTgzService;

    @GetMapping("/sjTgTgzList")
    public TableDataInfo sjTgTgzList(SjTgTgz sjTgTgz) {
        List<SjTgTgz> list = sjTgTgzService.selectSjTgTgzList(sjTgTgz);
        return getDataTable(list);
    }

    @Autowired
    private ISjTgTgxnsjService sjTgTgxnsjService;

    @GetMapping("/sjTgTgxnsjList")
    public TableDataInfo sjTgTgxnsjList(SjTgTgxnsj sjTgTgxnsj) {
        List<SjTgTgxnsj> list = sjTgTgxnsjService.selectSjTgTgxnsjList(sjTgTgxnsj);
        return getDataTable(list);
    }

    @Autowired
    private ISjTgTgqdjhService sjTgTgqdjhService;

    @GetMapping("/sjTgTgqdjhList")
    public TableDataInfo sjTgTgqdjhList(SjTgTgqdjh sjTgTgqdjh) {
        List<SjTgTgqdjh> list = sjTgTgqdjhService.selectSjTgTgqdjhList(sjTgTgqdjh);
        return getDataTable(list);
    }

    @Autowired
    private ISjZlyqService sjZlyqService;

    @GetMapping("/sjZlyqList")
    public TableDataInfo sjZlyqList(SjZlyq sjZlyq) {
        List<SjZlyq> list = sjZlyqService.selectSjZlyqList(sjZlyq);
        return getDataTable(list);
    }

    @Autowired
    private ISjZlyqZbyqService sjZlyqZbyqService;

    @GetMapping("/sjZlyqZbyqList")
    public TableDataInfo sjZlyqZbyqList(SjZlyqZbyq sjZlyqZbyq) {
        List<SjZlyqZbyq> list = sjZlyqZbyqService.selectSjZlyqZbyqList(sjZlyqZbyq);
        return getDataTable(list);
    }

    @Autowired
    private ISjZlyqXxService sjZlyqXxService;

    @GetMapping("/sjZlyqXxList")
    public TableDataInfo sjZlyqXxList(SjZlyqXx sjZlyqXx) {
        List<SjZlyqXx> list = sjZlyqXxService.selectSjZlyqXxList(sjZlyqXx);
        return getDataTable(list);
    }


    @Autowired
    private ISjGztzService sjGztzService;

    @GetMapping("/sjGztzList")
    public TableDataInfo sjGztzList(SjGztz sjGztz) {
        List<SjGztz> list = sjGztzService.selectSjGztzList(sjGztz);
        return getDataTable(list);
    }


    @Autowired
    private ISjLjsmService sjLjsmService;

    @GetMapping("/sjLjsmList")
    public TableDataInfo sjLjsmList(SjLjsm sjLjsm) {
        List<SjLjsm> list = sjLjsmService.selectSjLjsmList(sjLjsm);
        return getDataTable(list);
    }

    @Autowired
    private ISjZysxService sjZysxService;

    @GetMapping("/sjZysxList")
    public TableDataInfo sjZysxList(SjZysx sjZysx) {
        List<SjZysx> list = sjZysxService.selectSjZysxList(sjZysx);
        return getDataTable(list);
    }

    @Autowired
    private ISjH2sService  sjH2sService;

    @GetMapping("/sjH2sList")
    public TableDataInfo sjH2sList(SjH2s sjH2s) {
        List<SjH2s> list = sjH2sService.selectSjH2sList(sjH2s);
        return getDataTable(list);
    }


}
